Ondersteuning » Algemeen WordPress » Sidebar editen. Hoe???

  • Opgelost astro_piet

    (@astro_piet)


    Op mijn homepagina staat een rechter sidebar. Daarin staat een submenu “Astrofoto’s”. Dat is een menu met externe links. Ik wil dat submenu verwijderen want het is verouderd. Maar ik kan er niet bij.
    Mijn vraag: hoe kom ik bij dit submenu en hoe verwijder ik terwijl ik de andere menu’s en widgets in de sidebar behoud?
    Dat moet toch kunnen vanuit het dashboard? Zo is het ooit ook aangemaakt!

    De pagina waar ik hulp bij nodig heb: [log in om de link te zien]

15 reacties aan het bekijken - 1 tot 15 (van in totaal 35)
  • Moderator Jeroen Rotty

    (@jeroenrotty)

    Support Moderator

    Staat dit niet gewoon bij Weergave > Widgets? Daar zal je meerdere widgets zien en 1 daarvan is dan Astrafoto’s die een navigatie widget is, zie ik aan de klasse die er op zit “widget widget_nav_menu” –

    Die zou je normaal kunnen verwijderen als widget zonder andere widgets aan te passen. Sinds het ook een navigatie menu is, is de kans groot dat de widget gebaseerd is op een aangemaakt menu bij Weergave > Menu’s, die je dan op zich ook kan verwijderen eens je die lijst niet meer wilt tonen/hebben (maar hoeft niet, widget verwijderen zal het visueel doen verdwijnen)

    Thread starter astro_piet

    (@astro_piet)

    Dank voor je hulp!
    Maar als ik ga naar Weergave > Widgets krijg ik het volgende te zien:

    Error thrown
    Access to undeclared static property: GOG_FormBuilder::$item

    Moderator Jeroen Rotty

    (@jeroenrotty)

    Support Moderator

    Hmm. “GOG_FormBuilder” doet bij mij geen belletje rinkelen, maar ik heb een vermoeden dat er mogelijks een probleem is met je thema die niet meer 100% compatibel zou zijn met hoe widgets werken in de huidige WordPress. Of aan de naam van GOG_FormBuilder een formulierenplugin mogelijks?

    Heb je nog openstaande plugin updates of thema updates?

    Lukt het als je via Weergave > Customizer > Widgets probeert?

    Thread starter astro_piet

    (@astro_piet)

    Bij Weergave > Customizer krijg ik hetzelfde:

    Error thrown
    Access to undeclared static property: GOG_FormBuilder::$item

    Ik heb geen openstaande plugin- of thema updates.

    Moderator Jeroen Rotty

    (@jeroenrotty)

    Support Moderator

    Heb je nog een formulierenplugin die je herkent in de naam GOG_formbuilder? Heb zo niet direct iets kunnen vinden.

    Je zou eens de plugin Health Check (https://wordpress.org/plugins/health-check/) kunnen installeren en daarna de Troubleshooting mode aanzetten. In die modus gaan alle plugins gedeactiveerd worden en als er een standaard WordPress thema geïnstalleerd wordt, switcht hij daarop. Deze modus is enkel actief voor jou gebruiker en sessie en site-bezoekers merken niets. Eens dit actief is zou je dan nog eens kunnen proberen te gaan naar Weergave > Widgets.

    Lukt dat in die modus?

    Thread starter astro_piet

    (@astro_piet)

    Lang verhaal en steeds meer ellende!
    1. Ik heb volgens mij geen formulierenplugins geïnstalleerd. Bij de plugins die ik heb zit niets wat op GOG_formbuilder lijkt.

    2. Ik heb de plugin Health Check geïnstalleerd en in de Troubleshooting modus gezet. Daarna een standaard WordPress thema geïnstalleerd (Twenty Twenty-Two).
    Als ik dan naar Weergave ga, zie ik
    Weergave > Editor beta
    en verder niets. Geen widgets dus.
    Teruggezet uit de troubleshooting modus.

    3. Toen ik vervolgens probeerde mijn bestaande menu aan te passen verdween het menu van de site. Ik kreeg de melding:
    “Je thema biedt geen ondersteuning voor menu’s, maar je kunt ze gebruiken in de zijbalken door een “Aangepast menu”-widget toe te voegen op het Widgets scherm.”

    Maar als ik naar widgets ga:
    “Error thrown
    Access to undeclared static property: GOG_FormBuilder::$item”

    Stap 3 had ik niet moeten doen. Ik ben nu al mijn menu’s kwijt en heb een blijkbaar kreupel thema.

    Thread starter astro_piet

    (@astro_piet)

    Ik moet bij de widgets kunnen om mijn probleem op te lossen. Maar ik word eruit gegooid.
    https://redlightgroup.nl/wp-admin/widgets.php geeft de foutmelding “Error thrown
    Access to undeclared static property: GOG_FormBuilder::$item”.

    Guido

    (@guido07111975)

    2. Ik heb de plugin Health Check geïnstalleerd en in de Troubleshooting modus gezet. Daarna een standaard WordPress thema geïnstalleerd (Twenty Twenty-Two).

    Dat thema niet selecteren want die richt zich op Full Site Editing. Dat werkt anders. Selecteer een ouder thema uit de Twenty serie.

    Guido

    Moderator Jeroen Rotty

    (@jeroenrotty)

    Support Moderator

    Ja dat was nog verwarrend inderdaad, de tip van Guido zou moeten werken als je bv. Twenty Twenty installeert en gebruikt tijdens de Troubleshooting Mode – dan zou Weergave > Widgets er wel tussen moeten staan.

    Thread starter astro_piet

    (@astro_piet)

    Guido en Jeroen, dank!
    Twenty Twenty werkt inderdaad in de probleemoplossingsmodus. Ook mijn aangepaste menu dan kan weer worden opgeduikeld.
    Jammer is alleen dat mijn (ooit zorgvuldig qua look & feel aangepaste) thema Inferno-mf niet meer wordt ondersteund door WordPress (of andersom). Wat een sof. Ik zal nu noodgedwongen Twenty Twenty moeten gaan toepassen en hopelijk krijgen we hiermee niet op een dag dezelfde problemen.
    Ik weet dankzij jullie hulp hoe ik verder kan, maar om dit item nu als ‘opgelost’ te beschouwen is me nog een brug te ver. Ik meld me nog.

    Guido

    (@guido07111975)

    Hoi,

    Je kunt elk ander thema kiezen, als je Inferno-mf gaat vervangen. Dit ziet er overigens uit als een erg oud thema, die ook nauwelijks updates heeft gekregen (want slechts versie 1.2).

    Als ik het thema installeer krijg ik direct een fatale fout als mijn server PHP versie 8+ actief heeft. Dus je moet het thema sowieso op termijn vervangen.

    Ik kom er ook achter dat de widget die je zag automatisch toegevoegd wordt als jij zelf geen widgets hebt ingesteld. Vandaar dat je hem dus niet kon vinden op de widgets pagina.

    Je zou de site misschien voor nu weer aan de praat kunnen krijgen door de plugins Classic Editor en Classic Widgets te installeren.

    Guido

    Thread starter astro_piet

    (@astro_piet)

    Dank! Het installeren van het thema Twenty Twenty blijkt voor mij geen optie. Ik had dit thema in de probleemoplossingsmodus geïnstalleerd, maar het maakte van mijn site een enorme puinhoop. Geen plugin functioneerde nog, vele galleries en afbeeldingen waren weg en teksten liepen door elkaar.
    Als ik binnen de probleemoplossingsmodus in mijn dashboard weergave > widgets kies krijg ik een rij foutmeldingen:
    “Blok “search” bevat fouten en zal hierdoor niet goed functioneren. Gebruik de ontwikkeltool voor meer details.
    “Blok “texth” bevat fouten en zal hierdoor niet goed functioneren. Gebruik de ontwikkeltool voor meer details. …etc etc.”
    Ik heb de indruk dat WordPress door de frequente moderniseringen niet geschikt is voor blogs zoals die van mij met een lange levensduur (dus niet backward compatible).
    Ik ga eerst de plugin Classic Widgets installeren. Zie wat het oplevert.
    Wordt vervolgd.

    Thread starter astro_piet

    (@astro_piet)

    Heb plugins Classic Widgets en Classic Editor geïnstalleerd en geactiveerd. Er is niets veranderd.
    Bij weergave > customizer en weergave > widgets krijg ik steeds dezelfde hardnekkige foutmelding:
    Error thrown
    Access to undeclared static property: GOG_FormBuilder::$item

    Guido

    (@guido07111975)

    Hoi,

    Ik zal later eens kijken of ik iets daarvan in het thema kan vinden. Want als je verder geen plugins actief hebt moet het in je thema staan. Mogelijk in bestand functions of sidebar.

    Je kunt ook overwegen om je huidige versie vh thema te vervangen door de originele versie, hier te downloaden. Maar wacht daar even mee totdat duidelijk is waar die fout vandaan komt.

    Guido

    Guido

    (@guido07111975)

    Maar wacht daar even mee totdat duidelijk is waar die fout vandaan komt.

    Nee, de property GOG_FormBuilder staat niet in de originele versie vh thema. Dus komt uit een plugin van je óf is door iemand in je thema gezet.

    Ik maak trouwens uit de broncode van je site op dat je de (standaard) blokeditor al gebruikt. Dan is mijn tip om Classic Editor te installeren niet nodig, want die deactiveert de blokeditor weer.

    @jeroenrotty : sorry dat ik dit topic “gekaapt” heb.

    Guido

15 reacties aan het bekijken - 1 tot 15 (van in totaal 35)